package fsmcontract

import (
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/config"
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/locale"
	"github.com/mymmrac/telego"
	"go.uber.org/zap"
)

type Context interface {
	App() App
	Data() map[string]interface{}
}

type App interface {
	Log() *zap.SugaredLogger
	TG() *telego.Bot
	Conf() *config.Config
	DB() Repositories
	Localizer(string) locale.Localizer
}
