package fsmcontract

import "gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/db/model"

type Repositories interface {
	ForUser() UserRepository
	ForChat() ChatRepository
}

type UserRepository interface {
	ByTelegramID(id int64) (*model.User, error)
	Save(user *model.User) error
}

type ChatRepository interface{}
